[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

OpenBSD portable binary (Was Re: Help on building MONIT on Solaris x86-6

From: Kevin Chadwick
Subject: OpenBSD portable binary (Was Re: Help on building MONIT on Solaris x86-64)
Date: Mon, 11 Apr 2011 22:16:44 +0000

On Sun, 10 Apr 2011 01:07:25 +0200
Jan-Henrik Haukeland wrote:

> On Apr 9, 2011, at 6:47 PM, Kevin Chadwick wrote:
> > Otherwise to have a working binary using the right libraries you are
> > going to have to rebuild on 4.8 now. 4.9 in a few weeks and then 5.0 in
> > 6 months.
> I don't believe this is correct. The Monit binary link _dynamic_ with systems 
> libraries only [1]. That is: you should be able to use the same monit binary 
> on all 4.x versions from at least 4.7 without having to rebuild or install 
> older libraries. If you have prof that there is a library version problem we 
> would be very interested to know about this.
> [1]  OpenSSL is static linked into the Monit binary to avoid depending on a 
> certain OpenSSL version or that OpenSSL is installed on the system.

On execution of the 5.2.5 binary blob on 4.8 i386 I get.

can't load library

After a few tries I get

can't load library

After a few manually attempted executions it goes back to libc.

The current libraries on 4.8 stable are

p.s. I have rediffed the patches from the openbsd ports tree for monit4
to work with 5.2.3 and they still apply to 5.2.5, only simple changes
but are you interested in or seen them.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]